<template>
  <b-container>
    <b-row>
      <b-col>
        <h1>Hi {{user}}</h1>
      </b-col>
    </b-row>
    <b-row>
      <b-col sm="8">
        <b-tabs v-if="!$apollo.queries.dashboardCategories.loading" content-class="mt-3">
          <b-tab
            v-for="category in sortedCategories"
            :key="category.id"
            :title="category.name">
            <b-row>
              <b-col v-for="tile in category.tooltiles" :key="tile.id" sm="4">
                <Tooltile :tile="tile"/>
              </b-col>
            </b-row>
          </b-tab>
        </b-tabs>
      </b-col>
      <b-col sm="4">
        <h3>Support pages</h3>
        <b-list-group v-if="!$apollo.queries.supportPages.loading" class="overflow-hidden" >
          <b-list-group-item v-for="link in supportPages" :key="link.id" :to="'/support/' + link.slug">
            {{ link.title }}
          </b-list-group-item>
        </b-list-group>
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
import dashboardQuery from '@/graphql/dashboard.query';
import supportQuery from '@/graphql/support.query';
import Tooltile from '@/components/Tooltile.vue';

import * as _ from 'lodash';
import Vue from 'vue';

export default {
  components: {
    Tooltile,
  },
  data() {
    return {
      dashboardCategories: [],
      supportPages: [],
    };
  },
  apollo: {
    dashboardCategories: {
      query: dashboardQuery,
    },
    supportPages: {
      query: supportQuery,
    },
  },
  computed: {
    user: () => Vue.prototype.$keycloak.fullName,
    sortedCategories () {
      return _.sortBy(this.dashboardCategories, 'order');
    },
  },
};
</script>
